﻿' *****************************************************************************
' NAntRunner
' A simple, standalone, utility for running NAnt build scripts.
'
' Developed by Mark Gilbert (http://www.mark-gilbert.com).
'
' This software is license under the Microsoft Public License (Ms-PL).  For full
' license details, please see 
' http://www.microsoft.com/resources/sharedsource/licensingbasics/publiclicense.mspx.
' *****************************************************************************
Public Class NAntScriptGroup

    Private _Name As String
    Private _Scripts As List(Of NAntScript)


    Public Sub New(ByVal NewName As String)
        Me._Name = NewName
        Me._Scripts = New List(Of NAntScript)
    End Sub

#Region " Properties "
    Public Property Scripts() As List(Of NAntScript)
        Get
            If (IsNothing(Me._Scripts)) Then Me._Scripts = New List(Of NAntScript)
            Return Me._Scripts
        End Get
        Set(ByVal value As List(Of NAntScript))
            Me._Scripts = value
        End Set
    End Property

    Public Property Name() As String
        Get
            Return Me._Name
        End Get
        Set(ByVal value As String)
            Me._Name = value
        End Set
    End Property
#End Region

End Class
